Combat:
  # Defines combat timer to be used in particular features
  Timer: 15
  # When enabled we will allow for players to be damaged in safe zone if they are tagged for pvp
  safeZoneDamage: false
  # If set to true, then attacked player will be included into combat mode even if he doesnt fight back
  # If set to false then only attacker will be marked for pvp mode
  IncludeVictim: true
  Player:
    # If set to true, then player who gets placed into combat mode will get its fly mode disabled
    # This will disable players fly mode which will result in player dropping down and will disable option to start flying
    # This can be bypassed by player performing fly command if he has access to it and commands durring combat are not blocked
    # Can be bypassed with cmi.pvp.PFlyBypass permission node
    DisableFlight: false
    # If set to true player whose fly mode got disabled will not suffer fall damage, once
    DisableFallDamage: false
    # When set to true player will see boss bar message indicating how long until combat mode ends
    # This only applies for pvp type combat
    ShowBossBar: false
    # When enabled we will show damage numbers in a form of holograms when damaging players
    ShowDamageNumbers: true
    DamageNumbersFormat: '&c⚔[damage]'
    # Prevents damage from players with god mode enabled
    # Can be bypassed with cmi.pvp.godBypass permission node
    noGodDamage: false
    # Informs player that he cant damage players while in god mode
    noGodDamageInform: false
    # When set to true players will be only able to use commands defined in the list
    # This only applies for pvp type combat
    BlockCommands: false
    AllowedCommands:
    - msg
    - r
    - tell
    # When set to true AllowedCommands become black list which will define which commands player cant use
    MakeBlackList: false
  Mob:
    # If set to true, then player who gets placed into combat mode will get its fly mode disabled
    # Can be bypassed with cmi.pvp.MFlyBypass permission node
    DisableFlight: false
    # If set to true player whose fly mode got disabled will not suffer fall damage, once
    DisableFallDamage: false
    # When set to true player will see boss bar message indicating how long until combat mode ends
    # This only applies for pve type combat
    ShowBossBar: false
    # When enabled we will include damage from environmental damage into mob combat timer
    # This can include damage from cactus, magma blocks, suffocation, burning, fall damage and similar
    IncludeEnvironment: true
    # When enabled we will show damage numbers in a form of holograms when damaging mobs
    ShowDamageNumbers: true
    DamageNumbersFormat: '&c❤[damage]'
    # Prevents damage from players with god mode enabled
    # Can be bypassed with cmi.pve.godBypass permission node
    noGodDamage: false
    # Informs player that he cant damage mobs while in god mode
    noGodDamageInform: false
    # When set to true players will be only able to use commands defined in the list
    # This only applies for pve type combat
    BlockCommands: false
    AllowedCommands:
    - msg
    - r
    - tell
    # When set to true AllowedCommands become black list which will define which commands player cant use
    MakeBlackList: false
  Heads:
    Player:
      Drop: false
      # Percentage from 0 to 100 for head to be dropped. Decimals are acceptable, like 0.2
      # 100 will mean that head will be dropped every time player kills another player
      # 1 will mean that there is 1% that player will drop head if he is killed by another player
      Percentage: 1.0
      # Percentage from 0 to 100 for lowering chance in getting second head of same player
      # This will reset on each server restart
      LowerChanceOfterDrop: 50.0
      # When enabled player heads will have bigger chance to drop when using tools with looting enchantment
      # Value is in % and it will add appropriate percentage to current drop chance by using drop chance itself
      # For example player who has head drop change of 1% with looting 3 which has 30% bonus will have 1.3% as end value (default values)
      # This only applies for player heads
      # You can add as many levels as you want, simply duplicate line and set new number, in example
      # Lvl33: 35.5
      LootBonus:
        Enabled: true
        Lvl1: 5.0
        Lvl2: 15.0
        Lvl3: 30.0
      # List of worlds where we should drop player heads. Keep it empty if you want to include all possible ones
      Worlds: []
    Mob:
      # Enables custom mob heads dropping from mobs with particular chance
      # Check CustomHeads.yml for customization by entityType
      Drop: false
      # List of worlds where we should drop mob heads. Keep it empty if you want to include all possible ones
      Worlds: []
